# Module: Writer

Source:
  Writer/JsonWriter.js

### Classes

JsonWriter
Writer
XmlWriter

### Members

#### <inner> root :string

  Root property to start retrieving data

  ##### Type:

  - string
  Source:
    Writer/JsonWriter.js

#### <inner> reviver :function

  A function that alters the behavior of the stringification process, or an array of String and Number objects that serve as a whitelist for selecting/filtering the properties of the value object to be included in the JSON string. If this value is null or not provided, all properties of the object are included in the resulting JSON string. For more info, see: https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/JSON/stringify

  ##### Type:

  - function
  Source:
    Writer/JsonWriter.js

# Module: Writer

Source:
  Writer/Writer.js

### Classes

JsonWriter
Writer
XmlWriter

### Members

#### <inner> root :string

  Root property to start retrieving data

  ##### Type:

  - string
  Source:
    Writer/JsonWriter.js

#### <inner> reviver :function

  A function that alters the behavior of the stringification process, or an array of String and Number objects that serve as a whitelist for selecting/filtering the properties of the value object to be included in the JSON string. If this value is null or not provided, all properties of the object are included in the resulting JSON string. For more info, see: https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/JSON/stringify

  ##### Type:

  - function
  Source:
    Writer/JsonWriter.js

# Module: Writer

Source:
  Writer/XmlWriter.js

### Classes

JsonWriter
Writer
XmlWriter

### Members

#### <inner> root :string

  Root property to start retrieving data

  ##### Type:

  - string
  Source:
    Writer/JsonWriter.js

#### <inner> reviver :function

  A function that alters the behavior of the stringification process, or an array of String and Number objects that serve as a whitelist for selecting/filtering the properties of the value object to be included in the JSON string. If this value is null or not provided, all properties of the object are included in the resulting JSON string. For more info, see: https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/JSON/stringify

  ##### Type:

  - function
  Source:
    Writer/JsonWriter.js

# Module: Writer

Source:
  Writer/index.js

### Classes

JsonWriter
Writer
XmlWriter

### Members

#### <inner> root :string

  Root property to start retrieving data

  ##### Type:

  - string
  Source:
    Writer/JsonWriter.js

#### <inner> reviver :function

  A function that alters the behavior of the stringification process, or an array of String and Number objects that serve as a whitelist for selecting/filtering the properties of the value object to be included in the JSON string. If this value is null or not provided, all properties of the object are included in the resulting JSON string. For more info, see: https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/JSON/stringify

  ##### Type:

  - function
  Source:
    Writer/JsonWriter.js

#### Search results